org.apache.lucene.benchmark.byTask.tasks

## Class WarmTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReadTask
    - - org.apache.lucene.benchmark.byTask.tasks.WarmTask

- All Implemented Interfaces:
    Cloneable

      public class WarmTask
      extends ReadTask

  Warm reader task: retrieve all reader documents.

  Note: This task reuses the reader if it is already open. Otherwise a reader is opened at start and closed at the end.

  Other side effects: counts additional 1 (record) for each retrieved (non null) document.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params, stopNow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WarmTask(PerfRunData runData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryMaker` | `getQueryMaker()` Return query maker used for this task.
    `boolean` | `withRetrieve()` Return true if, with search and results traversing, docs should be retrieved.
    `boolean` | `withSearch()` Return true if search should be performed.
    `boolean` | `withTraverse()` Return true if, with search, results should be traversed.
    `boolean` | `withWarm()` Return true if warming should be performed.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReadTask

      `createCollector, doLogic, getSort, numHits, retrieveDoc, setup, traversalSize, withCollector, withMaxScore, withScore, withTopDocs, withTotalHits`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WarmTask

          public WarmTask(PerfRunData runData)

  - ### Method Detail

    - #### withRetrieve

          public boolean withRetrieve()

      Description copied from class: `ReadTask`
      Return true if, with search and results traversing, docs should be retrieved.
      Specified by:
        `withRetrieve` in class `ReadTask`

    - #### withSearch

          public boolean withSearch()

      Description copied from class: `ReadTask`
      Return true if search should be performed.
      Specified by:
        `withSearch` in class `ReadTask`

    - #### withTraverse

          public boolean withTraverse()

      Description copied from class: `ReadTask`
      Return true if, with search, results should be traversed.
      Specified by:
        `withTraverse` in class `ReadTask`

    - #### withWarm

          public boolean withWarm()

      Description copied from class: `ReadTask`
      Return true if warming should be performed.
      Specified by:
        `withWarm` in class `ReadTask`

    - #### getQueryMaker

          public QueryMaker getQueryMaker()

      Description copied from class: `ReadTask`
      Return query maker used for this task.
      Specified by:
        `getQueryMaker` in class `ReadTask`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.